### A free/open-source library for quantitative finance

Public Member Functions
MakeMCPerformanceEngine< RNG, S > Class Template Reference

Monte Carlo performance-option engine factory. More...

`#include <ql/pricingengines/cliquet/mcperformanceengine.hpp>`

List of all members.

## Public Member Functions

| MakeMCPerformanceEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &)
MakeMCPerformanceEngine & | withBrownianBridge (bool b=true)
MakeMCPerformanceEngine & | withAntitheticVariate (bool b=true)
MakeMCPerformanceEngine & | withSamples (Size samples)
MakeMCPerformanceEngine & | withAbsoluteTolerance (Real tolerance)
MakeMCPerformanceEngine & | withMaxSamples (Size samples)
MakeMCPerformanceEngine & | withSeed (BigNatural seed)
| operator boost::shared_ptr< PricingEngine > () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MakeMCPerformanceEngine< RNG, S >

Monte Carlo performance-option engine factory.